/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_IMPOSTOROP                                               */
/* Tabela : IMPOSTOROP                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 29/05/2007 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_IMPOSTOROP
BEFORE INSERT OR UPDATE OR DELETE
ON IMPOSTOROP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUIMRO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDTPIMPOSTOROP,0) <> NVL(:NEW.IDTPIMPOSTOROP,0) OR
         (NVL(:OLD.IDTRATIMPROP,0  ) <> NVL(:OLD.IDTRATIMPROP,0  )) ) THEN
         :NEW.DTULTATUIMRO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('IMPOSTOROP', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDIMPOSTO='||:OLD.CDIMPOSTO||
                               ';IDTPIMPOSTOROP='||:OLD.IDTPIMPOSTOROP||';',SYSDATE);
   END IF;
END;
/

ALTER TABLE IMPOSTOROP MODIFY DTULTATUIMRO DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_IMPOSTOROP','4.11.136'); END;
/

